summaryrefslogtreecommitdiffstats
path: root/calibre/build
diff options
context:
space:
mode:
Diffstat (limited to 'calibre/build')
-rwxr-xr-xcalibre/build/calibre.SlackBuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/calibre/build/calibre.SlackBuild b/calibre/build/calibre.SlackBuild
index 685e33e8..e905b71d 100755
--- a/calibre/build/calibre.SlackBuild
+++ b/calibre/build/calibre.SlackBuild
@@ -675,6 +675,14 @@ make_qt6() {
-i qtbase/mkspecs/common/gcc-base.conf || exit 1
sed -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${SLKLDFLAGS}|" \
-i qtbase/mkspecs/common/g++-unix.conf || exit 1
+ # Re-add support for 32bit architectures - Google no longer supports it:
+ sed -i qtwebengine/src/3rdparty/chromium/BUILD.gn \
+ -e 's/target_os != "linux" || /target_os == "linux" || /'
+ cd qtwebengine
+ # Thanks Debian! See https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine/-/tree/master/debian/patches
+ cat $PATCHDIR/qt6-webengine_32bit_compressing_files.patch \
+ | patch -p1 --verbose || exit 1
+ cd - 1>/dev/null
fi
export CFLAGS="$SLKCFLAGS"